21 Commits

Author SHA1 Message Date
星光-k
b30d12742e Update README.md 2025-01-13 16:24:05 +08:00
星光-k
aae214de87 Update install.sh 2025-01-13 16:22:23 +08:00
星光-k
34d2ea6840 Update install.sh 2025-01-13 16:06:41 +08:00
星光-k
df98d198d0 Update install.sh 2025-01-13 16:04:12 +08:00
星光-k
d6d86a0424 Update install.sh 2025-01-13 16:01:10 +08:00
星光-k
d32459ce9d Update install.sh 2025-01-13 15:51:08 +08:00
星光-k
6b5b8a935a Update install.sh 2025-01-13 15:49:39 +08:00
星光-k
0db4d98671 Update install.sh 2025-01-13 15:48:42 +08:00
星光-k
6bf064e941 Update README.md 2025-01-13 15:42:03 +08:00
星光-k
1ae2f31142 Update install.sh 2025-01-13 15:40:15 +08:00
星光-k
380bea6607 Update install.sh 2025-01-13 15:36:55 +08:00
星光-k
964811eac8 Update install.sh 2025-01-13 15:32:18 +08:00
星光-k
e2fb9777b1 Update install.sh 2025-01-13 15:28:37 +08:00
星光-k
50fba1dde9 Update README.md 2025-01-13 15:25:33 +08:00
星光-k
1be53da061 Update install.sh 2025-01-13 15:23:19 +08:00
星光-k
8d40fcd1b4 Update install.sh 2025-01-13 15:10:51 +08:00
星光-k
b7fbbcfe8f Update install.sh 2025-01-13 15:07:49 +08:00
星光-k
ba8b4894a5 Update install.sh 2025-01-13 15:06:56 +08:00
星光-k
e34c22c1be Update README.md 2025-01-13 14:57:05 +08:00
星光-k
67799d0038 Update README.md 2025-01-13 14:56:29 +08:00
星光-k
0fbbaa5bef Update README.md 2025-01-13 14:39:26 +08:00
2 changed files with 61 additions and 16 deletions

View File

@@ -26,9 +26,7 @@
https://github.com/PiSugar/PiSugar/wiki/PiSugar-3-Series#rtc-on-board
https://www.pisugar.com/
ps:如果没有使用此模块则需要更改代码内容,以避免运行出错。
以上可能python脚本已解决
ps:代码里需要nc命令需要安装netcat安装内容已集成到“[需要安装的软件和依赖](https://github.com/kxgx/2.13-Ink-screen-clock#%E9%9C%80%E8%A6%81%E5%AE%89%E8%A3%85%E7%9A%84%E8%BD%AF%E4%BB%B6%E5%92%8C%E4%BE%9D%E8%B5%96)"
@@ -59,13 +57,18 @@ sudo reboot
![image](https://www.waveshare.net/w/upload/a/a0/RPI_open_spi_2.jpg)
#### wifi连接管理
可以使用[PiSugar/sugar-wifi-conf:让树莓派提供蓝牙BLE服务使用小程序可以随时更改树莓派的wifi连接
](https://github.com/PiSugar/PiSugar/wiki/PiSugar-WiFi-config#sugar-wifi-conf)
## 使用脚本直接安装(推荐)
### 参数定义
```Bash
--zh 设置系统语言为zh_CN,UTF-8
--cn 替换apt镜像源为中国镜像源
--gitcn 克隆中国仓库
--debug 输出详细信息
--zh 设置系统语言为zh_CN,UTF-8
--cn 替换apt镜像源为中国镜像源
--gitcn 克隆中国仓库
--pisugar-wifi-conf 安装pisugar-wifi-conf
--pisugar-power-manager 安装pisugar-power-manager
--debug 输出详细信息
```
###
```Bash
@@ -74,15 +77,15 @@ curl -sSL https://gitee.com/xingguangk/2.13-Ink-screen-clock/raw/main/bin/instal
```
```Bash
#中国源全参数设置(不使用--debug参数)
curl -sSL https://gitee.com/xingguangk/2.13-Ink-screen-clock/raw/main/bin/install.sh | sudo bash -s -- --zh --cn --gitcn
curl -sSL https://gitee.com/xingguangk/2.13-Ink-screen-clock/raw/main/bin/install.sh | sudo bash -s -- --zh --cn --gitcn --pisugar-power-manager --pisugar-wifi-conf
```
```Bash
#默认源默认设置
curl -sSL https://github.com/kxgx/2.13-Ink-screen-clock/raw/main/bin/install.sh | sudo bash
```
```Bash
#中国源全参数设置(不使用--debug参数)
curl -sSL https://github.com/kxgx/2.13-Ink-screen-clock/raw/main/bin/install.sh | sudo bash -s -- --zh --cn --gitcn
#默认源全参数设置(不使用--debug参数)
curl -sSL https://github.com/kxgx/2.13-Ink-screen-clock/raw/main/bin/install.sh | sudo bash -s -- --zh --cn --gitcn --pisugar-power-manager --pisugar-wifi-conf
```
## 需要安装的软件和依赖:
@@ -92,7 +95,7 @@ PiSugar 3官方文档 https://github.com/PiSugar/PiSugar/wiki/PiSugar-3-Series#s
```Bash
sudo apt-get update
sudo apt-get install -y git pigpio i2c-tools netcat* gawk python3-dev python3-pip python3-pil python3-numpy python3-gpiozero python3-pigpio build-essential
sudo pip3 install spidev borax pillow requests --break-system-packages
sudo pip3 install spidev borax pillow requests
wget https://cdn.pisugar.com/release/pisugar-power-manager.sh
bash pisugar-power-manager.sh -c release
```

View File

@@ -14,6 +14,10 @@ USE_CN_MIRROR=false
DEBUG=false
# 检查是否使用中国git仓库
USE_CN_GIT=false
# 检查是否安装pisugar-wifi-conf
USE_PISUGAR_WIFI_CONF=false
# 检查是否安装pisugar-power-manager
USE_PISUGAR_POWER_MANAGER=false
# 解析命令行参数
while [ "$#" -gt 0 ]; do
@@ -27,6 +31,12 @@ while [ "$#" -gt 0 ]; do
--gitcn)
USE_CN_GIT=true
;;
--pisugar-wifi-conf)
USE_PISUGAR_WIFI_CONF=true
;;
--pisugar-power-manager)
USE_PISUGAR_POWER_MANAGER=true
;;
--debug)
DEBUG=true
;;
@@ -106,7 +116,8 @@ is_raspberry_pi() {
# 定义链接变量
DEBIAN_MIRROR="http://deb.debian.org/debian/"
DEBIAN_SECURITY_MIRROR="http://security.debian.org/"
PI_SUGAR_POWER_MANAGER_URL="https://cdn.pisugar.com/release/pisugar-power-manager.sh"
PISUGAR_WIFI_CONF_URL="https://cdn.pisugar.com/PiSugar-wificonfig/script/install.sh"
PISUGAR_POWER_MANAGER_URL="https://cdn.pisugar.com/release/pisugar-power-manager.sh"
PIPY_MIRROR="https://pypi.org/simple"
# 修改 Raspberry Pi 特定源链接
RASPBERRY_PI_SOURCE_DEBIAN11="https://archive.raspberrypi.org/debian/"
@@ -181,11 +192,13 @@ update_sources_list() {
# 安装包函数
install_packages() {
if ! sudo apt-get update; then
echo "正在更新源列表"
if ! sudo apt-get -q -y update; then
echo "更新源列表失败" >&2
exit 1
fi
if ! sudo apt-get install -y git pigpio i2c-tools netcat* gawk python3-dev python3-pip python3-pil python3-numpy python3-gpiozero python3-pigpio build-essential; then
echo "正在安装软件包"
if ! sudo apt-get -q -y install git pigpio i2c-tools netcat* gawk python3-dev python3-pip python3-pil python3-numpy python3-gpiozero python3-pigpio build-essential; then
echo "软件包安装失败" >&2
exit 1
fi
@@ -193,8 +206,9 @@ install_packages() {
# 安装pip包函数
install_pip_packages() {
echo "正在安装pip软件包"
if ! sudo pip3 install -i "$PIPY_MIRROR" spidev borax pillow requests; then
echo "pip软件包安装失败,如果是最新版系统" >&2
echo "pip软件包安装失败如果是最新版系统或是非lite系统" >&2
echo "请手动运行sudo pip3 install -i "$PIPY_MIRROR" spidev borax pillow requests --break-system-packages" >&2
exit 1
fi
@@ -209,7 +223,7 @@ setup_service() {
# 检查墨水屏时钟仓库是否存在
if [ ! -d "$HOME/2.13-Ink-screen-clock" ]; then
echo "正在克隆仓库"
echo "正在克隆仓库"
cd ~
if ! git clone $INK_SCREEN_CLOCK_REPO_URL; then
echo "克隆仓库失败" >&2
@@ -248,10 +262,34 @@ setup_service() {
fi
}
# 安装pisugar-power-manager函数
install_pisugar-power-manager() {
if [ "$USE_PISUGAR_POWER_MANAGER" = true ]; then
echo "正在安装pisugar-power-manager"
if ! curl -sSL "$PISUGAR_POWER_MANAGER_URL" | sudo bash -s - -c release; then
echo "pisugar-power-manager安装失败" >&2
echo "如需要请手动运行curl -sSL $PISUGAR_POWER_MANAGER_URL | sudo bash -s - -c release" >&2
exit 1
fi
fi
}
# 安装pisugar-wifi-conf函数
install_pisugar-wifi-conf() {
if [ "$USE_PISUGAR_WIFI_CONF" = true ]; then
echo "正在安装pisugar-wifi-conf"
if ! curl -sSL "$PISUGAR_WIFI_CONF_URL" | sudo bash; then
echo "pisugar-wifi-conf安装失败" >&2
echo "如需要请手动运行curl $PISUGAR_WIFI_CONF_URL | sudo bash" >&2
exit 1
fi
fi
}
# 主逻辑
# 检测是否是Debian系统
if [ -f /etc/debian_version ]; then
echo "检测到Debian$DEBIAN_VERSION系统"
echo "检测到Debian$DEBIAN_VERSION系统"
# 提取版本号的小数点前的部分
if ! MAJOR_VERSION=$(echo $DEBIAN_VERSION | cut -d '.' -f 1); then
@@ -271,6 +309,8 @@ if [ -f /etc/debian_version ]; then
install_packages
install_pip_packages
setup_service
install_pisugar-wifi-conf
install_pisugar-power-manager
;;
12)
echo "执行Debian 12 (Bookworm) 相关操作"
@@ -278,6 +318,8 @@ if [ -f /etc/debian_version ]; then
install_packages
install_pip_packages
setup_service
install_pisugar-wifi-conf
install_pisugar-power-manager
;;
*)
echo "未知的Debian版本: $MAJOR_VERSION" >&2